Options +MultiViews
Options +FollowSymlinks
Options +Indexes
RewriteEngine on
RewriteRule ^([a-z].*)_([0-9]+)_([0-9]+).html$  /$1?v=$2&id=$3&%{QUERY_STRING}
RewriteRule ^([a-z].*)_([0-9]+)-([0-9]+)_([0-9]+).html$  /$1?v=$2&catID=$3&id=$4&%{QUERY_STRING}
RewriteRule ^([a-z].*)_([0-9]+)-([0-9]+).html$  /$1?v=$2&catID=$3&%{QUERY_STRING}
RewriteRule ^([a-z].*)_([0-9]+).html$  /$1?v=$2&%{QUERY_STRING}